#! /bin/bash
executable=$0
typlib=ISO
isname=false
for arg in $* ; do 
  if $isname
  then 
    typlib=$arg
    isname=false
  elif [ "$arg" = --prolog ]
  then isname=true
  fi
done
#echo $typlib
while [ -L $executable ] ; do
    executable="$(ls -l $executable | sed -n 's/^.* -> \(.*\)$/\1/p')"
done
reldir=$(dirname $executable)
if [ "$(echo $reldir | sed 's/^\/.*/\//')" = / ]
then absdir=$reldir
else absdir=$PWD/$reldir
fi
export SP_PATH=$absdir/lib/sicstus-3.8.5
#echo $absdir/tclp -I $absdir/lib/$typlib $*
$absdir/tclp -I $absdir/lib/$typlib $*
